# Class ExpandRowDirective<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:14

#####
Index

### Constructors

constructor

### Properties

element
expandCell

### Accessors

isExpanded

### Methods

onClick

## Constructors

### constructor

- new ExpandRowDirective<Data>(expandCell): ExpandRowDirective<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - expandCell: ExpandRowService<Data>

  #### Returns ExpandRowDirective<Data>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:24

## Properties

### element

element: Data

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:22

### `Private` `Readonly` expandCell

expandCell: ExpandRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:26

## Accessors

### isExpanded

- get isExpanded(): boolean

- #### Returns boolean

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:17

## Methods

### onClick

- onClick(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:31